#!/bin/sh

while [ true ]
do

	# read USB-In state through I2C bus @ 0x64 address
	state=$(i2cget -y 1 0x64)
	echo $state
	
	# stop systems if USB-In is unplugged
	if [ $((state)) -eq 0 ]; then
		echo "UPS : STOPPING SYSTEM !"
		
		# launch STOP procedure : UPS will stop after 40s (=4x10s)
		i2cset -y 1 0x64 0xFF 4 
		
		# halt RaspberryPi system
		sudo halt -p
		
		# stop script
		exit 0
	fi
	
	# delay between 2 readings (seconds)
	sleep 10 

done
